import request from '@/utils/request'
// 获取投诉单详情信息
export function getComplaintBillDetail(data) {
  return request({
    url: '/complaint/getComplaintBillDetail',
    method: 'post',
    params: data
  })
}
// 获取投诉单详情
export function getSurveyBillDetail(data) {
  return request({
    url: '/complaint/getSurveyBillDetail',
    method: 'post',
    params: data
  })
}
// 客服受理投诉单
export function acceptComplaintBill(data) {
  return request({
    url: '/complaint/acceptComplaintBill',
    method: 'post',
    params: data
  })
}

// 客服受理退回投诉单
export function acceptBackComplaintBill(data) {
  return request({
    url: '/complaint/acceptBackComplaintBill',
    method: 'post',
    params: data
  })
}

// 获取部门列表
export function getDeptList(data) {
  return request({
    url: '/system/getDeptList',
    method: 'post',
    params: data
  })
}
// 生成内部调查单
export function addSurveyBill(data) {
  return request({
    url: '/complaint/addSurveyBill',
    method: 'post',
    params: data
  })
}
// 部门调查反馈
export function deptSurveyFeedBack(data) {
  return request({
    url: '/complaint/deptSurveyFeedBack',
    method: 'post',
    data: data
  })
}
// 部门调查审核
export function deptSurveyReview(data) {
  return request({
    url: '/complaint/deptSurveyReview',
    method: 'post',
    data: data
  })
}
// 外部调查反馈
export function feedBackSurveyBill(data) {
  return request({
    url: '/complaint/feedBackSurveyBill',
    method: 'post',
    params: data
  })
}
//  外部调查审核
export function reviewSurveyBill(data) {
  return request({
    url: '/complaint/reviewSurveyBill',
    method: 'post',
    params: data
  })
}

// 登记人结单
export function registerCheck(data) {
  return request({
    url: '/complaint/registerCheck',
    method: 'post',
    params: data
  })
}
// 行政审核
export function adminReview(data) {
  return request({
    url: '/complaint/adminReview',
    method: 'post',
    data: data
  })
}

// 增加奖惩人员
export function addRelateManInfo(data) {
  return request({
    url: '/complaint/addRelateManInfo',
    method: 'post',
    params: data
  })
}
// 删除奖惩人员
export function removeRelateManInfo(data) {
  return request({
    url: '/complaint/removeRelateManInfo',
    method: 'post',
    params: data
  })
}
// 调查单打印
export function printSurveyBill(data) {
  return request({
    url: '/complaint/printSurveyBill',
    method: 'post',
    params: data
  })
}

